package database

import java.sql.Connection
import java.sql.DriverManager
import java.sql.SQLException


object DatabaseManager {
    private var connection: Connection? = null
    // Chargez le pilote JDBC
    fun connect() {
        try
        {
            Class.forName("com.mysql.cj.jdbc.Driver")
        } catch (e: ClassNotFoundException)
        {
            println("Erreur lors du chargement du pilote JDBC")
            e.printStackTrace()
            return
        }

        // Informations de connexion à la base de données
        val url = "jdbc:mysql://qualinommedb.odabasioglu.fr:3307"
        val utilisateur = "QualiNommeUser"
        val motDePasse = "QualiNommeDB"

        try
        {
            connection = DriverManager.getConnection(url, utilisateur, motDePasse)

        } catch (e: SQLException)
        {
            println("Erreur lors de la connexion à la base de données")
            e.printStackTrace()
        }
    }

    fun getConnection(): Connection? {
        return connection
    }

}
fun main() {
    DatabaseManager.connect()
}
